## bugsquish 0.0.6

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,17 @@
 	chmod a+rx,g-w,o-w $(BIN_PREFIX)/bugsquish
 
 
+emtest:
+	make bugsquish TARGET_DEF=EMBEDDED DATA_PREFIX=e/
+
+embedded:
+	make bugsquish TARGET_DEF=EMBEDDED \
+		DATA_PREFIX=/opt/QtPalmtop/share/bugsquish/ \
+		SDL_LIB="/usr/local/arm/lib/libSDL_mixer.a /usr/local/arm/lib/libSDL.a -L/usr/local/arm/lib/ -lpthread -L/opt/Qtopia/sharp/lib -lqpe -lqte" \
+                CC=/usr/local/arm/bin/arm-linux-gcc
+	/usr/local/arm/bin/arm-linux-strip bugsquish
+
+
 nosound:
 	make bugsquish MIXER= NOSOUNDFLAG=NOSOUND
