=== debian/changelog ===
bugsquish (0.0.6-7) unstable; urgency=low

  * add ${misc-Depends} to dependencies of luola-levels
  * add build-arch and build-indep targets
  * remove call to deprecated dh_desktop
  * remove duplicate "with" from description
  * updated Standards-Version to 3.9.2 (no changes)
  * switch to dpkg-source 3.0 (quilt) format

 -- Christian T. Steigies <cts@debian.org>  Sun, 04 Sep 2011 16:57:32 +0200

bugsquish (0.0.6-6) unstable; urgency=low

  * updated Standards-Version to 3.7.3, use section Games/Action according
    to the menu policy
  * do not ignore make clean error
  * use debian/compat and use compat verion 5
  * call dh_desktop

 -- Christian T. Steigies <cts@debian.org>  Mon, 24 Mar 2008 19:20:22 +0100

bugsquish (0.0.6-5) unstable; urgency=low

  * add Desktop file from Barry deFreese (closes: #376768)
  * updated Standards-Version to 3.7.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 16 Jul 2006 12:18:34 +0200

bugsquish (0.0.6-4) unstable; urgency=low

  * updated watch file
  * updated Standards-Version to 3.7.0 (no changes)
  * use current debhelper

 -- Christian T. Steigies <cts@debian.org>  Thu,  4 May 2006 06:38:35 +0000

bugsquish (0.0.6-3) unstable; urgency=low

  * correct manpage section, install with dh_installman
  * use upstream install target, remove embedded files
  * install menu icon to /usr/share/pixmaps
  * copyright is with the author

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 17:25:07 +0100

bugsquish (0.0.6-2) unstable; urgency=low

  * manpage points to the correct README (closes: #213632)
  * updated debian/watch file for new location of upstream source
  * updated Standards-Version to 3.6.1.0, use DEB_BUILD_OPTIONS
  * do not use install target, do not install data files for embedded version
  
 -- Christian T. Steigies <cts@debian.org>  Tue,  4 Nov 2003 23:09:02 -0500

bugsquish (0.0.6-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu, 30 May 2002 07:24:49 -0400

bugsquish (0.0.4-1) unstable; urgency=low

  * new upstream version
  * upstream provides install target, adapt rules to use it

 -- Christian T. Steigies <cts@debian.org>  Thu,  6 Dec 2001 22:45:56 -0500

bugsquish (0.0.2-6) unstable; urgency=low

  * Build-Depends on libsdl1.2-dev (>= 1.2.2-3.1), 
    libsdl-image1.2-dev(>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
    due to SDL overhaul

 -- Christian T. Steigies <cts@debian.org>  Wed, 10 Oct 2001 23:23:50 -0400

bugsquish (0.0.2-5) unstable; urgency=low

  * build with SDL1.2
  * do not ship INSTALL.txt
  * update standards version

 -- Christian T. Steigies <cts@debian.org>  Mon, 16 Jul 2001 18:07:16 -0400

bugsquish (0.0.2-4) unstable; urgency=low

  * add closing quote to icon entry in the menu file (closes: #87876)

 -- Christian T. Steigies <cts@debian.org>  Tue, 27 Feb 2001 20:31:08 +0100

bugsquish (0.0.2-3) unstable; urgency=low

  * remove (unneeded) dh_suidregister from debian/rules

 -- Christian T. Steigies <cts@debian.org>  Sat,  3 Feb 2001 21:14:33 +0100

bugsquish (0.0.2-2) unstable; urgency=low

  * use the icon for the menusystem

 -- Christian T. Steigies <cts@debian.org>  Tue, 12 Dec 2000 17:48:46 +0100

bugsquish (0.0.2-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Tue, 23 May 2000 23:57:11 +0200

bugsquish (0.0.1-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon, 10 Apr 2000 19:16:32 +0200

bugsquish (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Thu, 23 Mar 2000 21:02:25 +0100
