=== debian/control ===
Source: bugsquish
Section: games
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 5), libsdl1.2-dev (>=1.2.2-3.1), libsdl-mixer1.2-dev (>=1.2.0-1.1), libsdl-image1.2-dev (>=1.2.0-1.1)

Package: bugsquish
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bugs are trying to suck blood out of your arm!
 "Bug Squish" is an action game not unlike light gun arcade games, but
 played with a mouse.  It's loosely based on a MacOS game whose name I
 can't recall.
 .
 Bugs are trying to suck blood out of your arm!  Squish them with
 your fly swatter before you run out of blood.
