=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

installdoc = install -g root -o root -m 644

TARGET=bugsquish

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_CFLAGS += -O0
else
  DEB_CFLAGS += -O2
endif
# this is handled automatically by dh_strip
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#  INSTALL_PROGRAM += -s
#endif

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) DEB_CFLAGS="$(DEB_CFLAGS)" DATA_PREFIX=$(DESTDIR)/usr/share/games/$(TARGET)/

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install \
         DESTDIR=$(CURDIR)/debian/$(TARGET) \
         BIN_PREFIX=$(CURDIR)/debian/$(TARGET)/usr/games \
         MAN_PREFIX=$(CURDIR)/debian/$(TARGET)/usr/share \
         DATA_PREFIX=$(CURDIR)/debian/$(TARGET)/usr/share/games/$(TARGET)/
# remove data for embedded
	-rm -rf $(CURDIR)/debian/$(TARGET)/usr/share/games/$(TARGET)/embedded
# convert the icon... cmap.xpm is gone, this is not required anymore?
#       mogrify -format xpm -geometry 32x32 \
#          -map /usr/X11R6/include/X11/pixmaps/cmap.xpm data/images/icon.bmp
	$(installdoc) data/images/$(TARGET)-icon.xpm \
                      debian/$(TARGET)/usr/share/pixmaps/
# install desktop files
	install -D -m 644 $(CURDIR)/debian/bugsquish.desktop $(CURDIR)/debian/bugsquish/usr/share/applications/bugsquish.desktop


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/bugsquish.6
	dh_installinfo
	dh_installchangelogs CHANGES.txt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
