=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Site          Directory               Pattern                 Version Script
#ftp.sonic.net	/pub/users/nbs/unix/x/bugsquish	bugsquish-(.*)\.tar\.gz	debian	uupdate
#ftp://ftp.sonic.net/pub/users/nbs/unix/x/bugsquish/src/bugsquish-([\d\.]+)\.tar\.gz debian uupdate

ftp://ftp.billsgames.com/unix/x/bugsquish/src/bugsquish-([\d\.]+)\.tar\.gz debian uupdate
